<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.guidance Class Hierarchy (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.guidance Class Hierarchy (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/fce/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/here/android/mpa/isoline/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.here.android.mpa.guidance</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">LaneInformation</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.AlternativeRoutesListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AlternativeRoutesListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.AudioFeedbackListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AudioFeedbackListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.AudioPlayer.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AudioPlayer</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.GpsSignalListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.GpsSignalListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.LaneInformationListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.LaneInformationListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.ManeuverEventListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.ManeuverEventListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.NavigationManagerEventListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NavigationManagerEventListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.NewInstructionEventListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NewInstructionEventListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.PositionListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.PositionListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RealisticViewListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RealisticViewListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RerouteListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RerouteListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RoadView.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RoadView.ListenerAdapter.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView.ListenerAdapter</span></a> (implements com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RoadView.Listener.html" title="interface in com.here.android.mpa.guidance">NavigationManager.RoadView.Listener</a>)</li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.SafetySpotListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.SafetySpotListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.SpeedWarningListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.SpeedWarningListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TrafficRerouteListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TruckRestrictionListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TruckRestrictionListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/SafetySpotNotification.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">SafetySpotNotification</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/SafetySpotNotificationInfo.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">SafetySpotNotificationInfo</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficNotification.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficNotification</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficNotificationInfo.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficNotificationInfo</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficUpdater</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestInfo.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficUpdater.RequestInfo</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficWarner.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficWarner</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficWarner.Listener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficWarner.Listener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TruckRestrictionNotification.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">TruckRestrictionNotification</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceCatalog</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceGuidanceOptions</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceGuidanceOptions.Range</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoicePackage.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">VoicePackage</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceSkin</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/AudioPlayerDelegate.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">AudioPlayerDelegate</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RoadView.Listener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView.Listener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.GetEventsListener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficUpdater.GetEventsListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Listener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficUpdater.Listener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnDownloadDoneListener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceCatalog.OnDownloadDoneListener</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnProgressListener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceCatalog.OnProgressListener</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.AspectRatio.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AspectRatio</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.AudioEvent.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AudioEvent</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.Direction.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">LaneInformation.Direction</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TtsOutputFormat</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficUpdater.Error</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.UnitSystem.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.UnitSystem</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceGuidanceOptions.VoicePromptType</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RoadView.Orientation.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView.Orientation</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficUpdater.RequestState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficUpdater.RequestState</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.CrossingRestriction.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">LaneInformation.CrossingRestriction</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.NavigationState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NavigationState</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.MarkingType.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">LaneInformation.MarkingType</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/TrafficNotificationInfo.Type.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">TrafficNotificationInfo.Type</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.OutputType.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceSkin.OutputType</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoicePackage.Gender.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">VoicePackage.Gender</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceCatalog.Error</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.NaturalGuidanceMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NaturalGuidanceMode</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.RealisticViewMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RealisticViewMode</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/LaneInformation.RecommendationState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">LaneInformation.RecommendationState</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TrafficAvoidanceMode</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoicePackage.TravelMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">VoicePackage.TravelMode</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">VoiceGuidanceOptions.RoadType</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.MapUpdateMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.MapUpdateMode</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.NavigationMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NavigationMode</span></a></li>
<li type="circle">com.here.android.mpa.guidance.<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.Error</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/fce/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/here/android/mpa/isoline/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
